package org.jcg.zheng.concurrent;

import org.jcg.zheng.LockedService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class LockedServiceRunnable implements Runnable {
	private final Logger logger = LoggerFactory.getLogger(this.getClass());

	private LockedService lockedService;

	public LockedServiceRunnable(LockedService job) {
		super();
		lockedService = job;
	}

	@Override
	public void run() {
		logger.info("LockedServiceRunnable starts.");

		lockedService.foo();

		logger.info("LockedServiceRunnable ends.");

	}

}
