package org.jcg.zheng.concurrent;

import org.jcg.zheng.SumTask;

public class SumTaskRunnable implements Runnable {

	private SumTask task;
	boolean isSynchronized;

	public SumTaskRunnable(SumTask job, boolean isSynchronized) {
		super();
		this.task = job;
		this.isSynchronized = isSynchronized;
	}

	@Override
	public void run() {
		if (isSynchronized) {
			task.synchronizedSum();
		} else {
			task.sum();
		}
	}

}
